Package: org.apache.groovy.parser.antlr4

## [Java] Interface GroovyParserVisitor<Result>

-     public interface GroovyParserVisitor<Result>
      extends ParseTreeVisitor

  This interface defines a complete generic visitor for a parse tree produced by GroovyParser.

  Type Parameters:
    `Result` - The return type of the visit operation. Use Void for operations with no return type.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Result` | `visitAdditiveExprAlt(AdditiveExprAltContext ctx)` Visit a parse tree produced by the `additiveExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitAndExprAlt(AndExprAltContext ctx)` Visit a parse tree produced by the `andExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitAnnotatedQualifiedClassName(AnnotatedQualifiedClassNameContext ctx)` Visit a parse tree produced by GroovyParser.annotatedQualifiedClassName.
    `` | `public Result` | `visitAnnotation(AnnotationContext ctx)` Visit a parse tree produced by GroovyParser.annotation.
    `` | `public Result` | `visitAnnotationName(AnnotationNameContext ctx)` Visit a parse tree produced by GroovyParser.annotationName.
    `` | `public Result` | `visitAnnotationsOpt(AnnotationsOptContext ctx)` Visit a parse tree produced by GroovyParser.annotationsOpt.
    `` | `public Result` | `visitAnonymousInnerClassDeclaration(AnonymousInnerClassDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.anonymousInnerClassDeclaration.
    `` | `public Result` | `visitArguments(ArgumentsContext ctx)` Visit a parse tree produced by GroovyParser.arguments.
    `` | `public Result` | `visitArrayInitializer(ArrayInitializerContext ctx)` Visit a parse tree produced by GroovyParser.arrayInitializer.
    `` | `public Result` | `visitAssertStatement(AssertStatementContext ctx)` Visit a parse tree produced by GroovyParser.assertStatement.
    `` | `public Result` | `visitAssertStmtAlt(AssertStmtAltContext ctx)` Visit a parse tree produced by the `assertStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitAssignmentExprAlt(AssignmentExprAltContext ctx)` Visit a parse tree produced by the `assignmentExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitBlock(BlockContext ctx)` Visit a parse tree produced by GroovyParser.block.
    `` | `public Result` | `visitBlockStatement(BlockStatementContext ctx)` Visit a parse tree produced by GroovyParser.blockStatement.
    `` | `public Result` | `visitBlockStatements(BlockStatementsContext ctx)` Visit a parse tree produced by GroovyParser.blockStatements.
    `` | `public Result` | `visitBlockStatementsOpt(BlockStatementsOptContext ctx)` Visit a parse tree produced by GroovyParser.blockStatementsOpt.
    `` | `public Result` | `visitBlockStmtAlt(BlockStmtAltContext ctx)` Visit a parse tree produced by the `blockStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitBooleanLiteralAlt(BooleanLiteralAltContext ctx)` Visit a parse tree produced by the `booleanLiteralAlt` labeled alternative in GroovyParser.literal.
    `` | `public Result` | `visitBreakStatement(BreakStatementContext ctx)` Visit a parse tree produced by GroovyParser.breakStatement.
    `` | `public Result` | `visitBreakStmtAlt(BreakStmtAltContext ctx)` Visit a parse tree produced by the `breakStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitBuiltInType(BuiltInTypeContext ctx)` Visit a parse tree produced by GroovyParser.builtInType.
    `` | `public Result` | `visitBuiltInTypePrmrAlt(BuiltInTypePrmrAltContext ctx)` Visit a parse tree produced by the `builtInTypePrmrAlt` labeled alternative in GroovyParser.primary.
    `` | `public Result` | `visitCastExprAlt(CastExprAltContext ctx)` Visit a parse tree produced by the `castExprAlt` labeled alternative in GroovyParser.castOperandExpression.
    `` | `public Result` | `visitCastParExpression(CastParExpressionContext ctx)` Visit a parse tree produced by GroovyParser.castParExpression.
    `` | `public Result` | `visitCatchClause(CatchClauseContext ctx)` Visit a parse tree produced by GroovyParser.catchClause.
    `` | `public Result` | `visitCatchType(CatchTypeContext ctx)` Visit a parse tree produced by GroovyParser.catchType.
    `` | `public Result` | `visitClassBody(ClassBodyContext ctx)` Visit a parse tree produced by GroovyParser.classBody.
    `` | `public Result` | `visitClassBodyDeclaration(ClassBodyDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.classBodyDeclaration.
    `` | `public Result` | `visitClassDeclaration(ClassDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.classDeclaration.
    `` | `public Result` | `visitClassName(ClassNameContext ctx)` Visit a parse tree produced by GroovyParser.className.
    `` | `public Result` | `visitClassOrInterfaceModifier(ClassOrInterfaceModifierContext ctx)` Visit a parse tree produced by GroovyParser.classOrInterfaceModifier.
    `` | `public Result` | `visitClassOrInterfaceModifiers(ClassOrInterfaceModifiersContext ctx)` Visit a parse tree produced by GroovyParser.classOrInterfaceModifiers.
    `` | `public Result` | `visitClassOrInterfaceModifiersOpt(ClassOrInterfaceModifiersOptContext ctx)` Visit a parse tree produced by GroovyParser.classOrInterfaceModifiersOpt.
    `` | `public Result` | `visitClosure(ClosureContext ctx)` Visit a parse tree produced by GroovyParser.closure.
    `` | `public Result` | `visitClosureOrLambdaExpression(ClosureOrLambdaExpressionContext ctx)` Visit a parse tree produced by GroovyParser.closureOrLambdaExpression.
    `` | `public Result` | `visitClosureOrLambdaExpressionPrmrAlt(ClosureOrLambdaExpressionPrmrAltContext ctx)` Visit a parse tree produced by the `closureOrLambdaExpressionPrmrAlt` labeled alternative in GroovyParser.primary.
    `` | `public Result` | `visitCommandArgument(CommandArgumentContext ctx)` Visit a parse tree produced by GroovyParser.commandArgument.
    `` | `public Result` | `visitCommandExprAlt(CommandExprAltContext ctx)` Visit a parse tree produced by the `commandExprAlt` labeled alternative in GroovyParser.statementExpression.
    `` | `public Result` | `visitCommandExpression(CommandExpressionContext ctx)` Visit a parse tree produced by GroovyParser.commandExpression.
    `` | `public Result` | `visitCompactConstructorDeclaration(CompactConstructorDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.compactConstructorDeclaration.
    `` | `public Result` | `visitCompilationUnit(CompilationUnitContext ctx)` Visit a parse tree produced by GroovyParser.compilationUnit.
    `` | `public Result` | `visitConditionalExprAlt(ConditionalExprAltContext ctx)` Visit a parse tree produced by the `conditionalExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitConditionalStatement(ConditionalStatementContext ctx)` Visit a parse tree produced by GroovyParser.conditionalStatement.
    `` | `public Result` | `visitConditionalStmtAlt(ConditionalStmtAltContext ctx)` Visit a parse tree produced by the `conditionalStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitContinueStatement(ContinueStatementContext ctx)` Visit a parse tree produced by GroovyParser.continueStatement.
    `` | `public Result` | `visitContinueStmtAlt(ContinueStmtAltContext ctx)` Visit a parse tree produced by the `continueStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitCreatedName(CreatedNameContext ctx)` Visit a parse tree produced by GroovyParser.createdName.
    `` | `public Result` | `visitCreator(CreatorContext ctx)` Visit a parse tree produced by GroovyParser.creator.
    `` | `public Result` | `visitDim0(Dim0Context ctx)` Visit a parse tree produced by GroovyParser.dim0.
    `` | `public Result` | `visitDim1(Dim1Context ctx)` Visit a parse tree produced by GroovyParser.dim1.
    `` | `public Result` | `visitDoWhileStmtAlt(DoWhileStmtAltContext ctx)` Visit a parse tree produced by the `doWhileStmtAlt` labeled alternative in GroovyParser.loopStatement.
    `` | `public Result` | `visitDynamicMemberName(DynamicMemberNameContext ctx)` Visit a parse tree produced by GroovyParser.dynamicMemberName.
    `` | `public Result` | `visitElementValue(ElementValueContext ctx)` Visit a parse tree produced by GroovyParser.elementValue.
    `` | `public Result` | `visitElementValueArrayInitializer(ElementValueArrayInitializerContext ctx)` Visit a parse tree produced by GroovyParser.elementValueArrayInitializer.
    `` | `public Result` | `visitElementValuePair(ElementValuePairContext ctx)` Visit a parse tree produced by GroovyParser.elementValuePair.
    `` | `public Result` | `visitElementValuePairName(ElementValuePairNameContext ctx)` Visit a parse tree produced by GroovyParser.elementValuePairName.
    `` | `public Result` | `visitElementValuePairs(ElementValuePairsContext ctx)` Visit a parse tree produced by GroovyParser.elementValuePairs.
    `` | `public Result` | `visitElementValues(ElementValuesContext ctx)` Visit a parse tree produced by GroovyParser.elementValues.
    `` | `public Result` | `visitEmptyStmtAlt(EmptyStmtAltContext ctx)` Visit a parse tree produced by the `emptyStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitEnhancedArgumentListElement(EnhancedArgumentListElementContext ctx)` Visit a parse tree produced by GroovyParser.enhancedArgumentListElement.
    `` | `public Result` | `visitEnhancedArgumentListInPar(EnhancedArgumentListInParContext ctx)` Visit a parse tree produced by GroovyParser.enhancedArgumentListInPar.
    `` | `public Result` | `visitEnhancedExpression(EnhancedExpressionContext ctx)` Visit a parse tree produced by GroovyParser.enhancedExpression.
    `` | `public Result` | `visitEnhancedForControl(EnhancedForControlContext ctx)` Visit a parse tree produced by GroovyParser.enhancedForControl.
    `` | `public Result` | `visitEnhancedStatementExpression(EnhancedStatementExpressionContext ctx)` Visit a parse tree produced by GroovyParser.enhancedStatementExpression.
    `` | `public Result` | `visitEnumConstant(EnumConstantContext ctx)` Visit a parse tree produced by GroovyParser.enumConstant.
    `` | `public Result` | `visitEnumConstants(EnumConstantsContext ctx)` Visit a parse tree produced by GroovyParser.enumConstants.
    `` | `public Result` | `visitEqualityExprAlt(EqualityExprAltContext ctx)` Visit a parse tree produced by the `equalityExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitExclusiveOrExprAlt(ExclusiveOrExprAltContext ctx)` Visit a parse tree produced by the `exclusiveOrExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitExpression(ExpressionContext ctx)` Visit a parse tree produced by GroovyParser.expression.
    `` | `public Result` | `visitExpressionInPar(ExpressionInParContext ctx)` Visit a parse tree produced by GroovyParser.expressionInPar.
    `` | `public Result` | `visitExpressionList(ExpressionListContext ctx)` Visit a parse tree produced by GroovyParser.expressionList.
    `` | `public Result` | `visitExpressionListElement(ExpressionListElementContext ctx)` Visit a parse tree produced by GroovyParser.expressionListElement.
    `` | `public Result` | `visitExpressionStmtAlt(ExpressionStmtAltContext ctx)` Visit a parse tree produced by the `expressionStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitFieldDeclaration(FieldDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.fieldDeclaration.
    `` | `public Result` | `visitFinallyBlock(FinallyBlockContext ctx)` Visit a parse tree produced by GroovyParser.finallyBlock.
    `` | `public Result` | `visitFloatingPointLiteralAlt(FloatingPointLiteralAltContext ctx)` Visit a parse tree produced by the `floatingPointLiteralAlt` labeled alternative in GroovyParser.literal.
    `` | `public Result` | `visitForControl(ForControlContext ctx)` Visit a parse tree produced by GroovyParser.forControl.
    `` | `public Result` | `visitForInit(ForInitContext ctx)` Visit a parse tree produced by GroovyParser.forInit.
    `` | `public Result` | `visitForStmtAlt(ForStmtAltContext ctx)` Visit a parse tree produced by the `forStmtAlt` labeled alternative in GroovyParser.loopStatement.
    `` | `public Result` | `visitForUpdate(ForUpdateContext ctx)` Visit a parse tree produced by GroovyParser.forUpdate.
    `` | `public Result` | `visitFormalParameter(FormalParameterContext ctx)` Visit a parse tree produced by GroovyParser.formalParameter.
    `` | `public Result` | `visitFormalParameterList(FormalParameterListContext ctx)` Visit a parse tree produced by GroovyParser.formalParameterList.
    `` | `public Result` | `visitFormalParameters(FormalParametersContext ctx)` Visit a parse tree produced by GroovyParser.formalParameters.
    `` | `public Result` | `visitGstring(GstringContext ctx)` Visit a parse tree produced by GroovyParser.gstring.
    `` | `public Result` | `visitGstringPath(GstringPathContext ctx)` Visit a parse tree produced by GroovyParser.gstringPath.
    `` | `public Result` | `visitGstringPrmrAlt(GstringPrmrAltContext ctx)` Visit a parse tree produced by the `gstringPrmrAlt` labeled alternative in GroovyParser.commandPrimary.
    `` | `public Result` | `visitGstringValue(GstringValueContext ctx)` Visit a parse tree produced by GroovyParser.gstringValue.
    `` | `public Result` | `visitIdentifier(IdentifierContext ctx)` Visit a parse tree produced by GroovyParser.identifier.
    `` | `public Result` | `visitIdentifierPrmrAlt(IdentifierPrmrAltContext ctx)` Visit a parse tree produced by the `identifierPrmrAlt` labeled alternative in GroovyParser.commandPrimary.
    `` | `public Result` | `visitIfElseStatement(IfElseStatementContext ctx)` Visit a parse tree produced by GroovyParser.ifElseStatement.
    `` | `public Result` | `visitImplicationExprAlt(ImplicationExprAltContext ctx)` Visit a parse tree produced by the `implicationExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitImportDeclaration(ImportDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.importDeclaration.
    `` | `public Result` | `visitInclusiveOrExprAlt(InclusiveOrExprAltContext ctx)` Visit a parse tree produced by the `inclusiveOrExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitIndexPropertyArgs(IndexPropertyArgsContext ctx)` Visit a parse tree produced by GroovyParser.indexPropertyArgs.
    `` | `public Result` | `visitIndexVariable(IndexVariableContext ctx)` Visit a parse tree produced by GroovyParser.indexVariable.
    `` | `public Result` | `visitIntegerLiteralAlt(IntegerLiteralAltContext ctx)` Visit a parse tree produced by the `integerLiteralAlt` labeled alternative in GroovyParser.literal.
    `` | `public Result` | `visitKeywords(KeywordsContext ctx)` Visit a parse tree produced by GroovyParser.keywords.
    `` | `public Result` | `visitLabeledStmtAlt(LabeledStmtAltContext ctx)` Visit a parse tree produced by the `labeledStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitLambdaBody(LambdaBodyContext ctx)` Visit a parse tree produced by GroovyParser.lambdaBody.
    `` | `public Result` | `visitList(ListContext ctx)` Visit a parse tree produced by GroovyParser.list.
    `` | `public Result` | `visitListPrmrAlt(ListPrmrAltContext ctx)` Visit a parse tree produced by the `listPrmrAlt` labeled alternative in GroovyParser.namedPropertyArgPrimary.
    `` | `public Result` | `visitLiteral(LiteralContext ctx)` Visit a parse tree produced by GroovyParser.literal.
    `` | `public Result` | `visitLiteralPrmrAlt(LiteralPrmrAltContext ctx)` Visit a parse tree produced by the `literalPrmrAlt` labeled alternative in GroovyParser.commandPrimary.
    `` | `public Result` | `visitLocalVariableDeclaration(LocalVariableDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.localVariableDeclaration.
    `` | `public Result` | `visitLocalVariableDeclarationStmtAlt(LocalVariableDeclarationStmtAltContext ctx)` Visit a parse tree produced by the `localVariableDeclarationStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitLogicalAndExprAlt(LogicalAndExprAltContext ctx)` Visit a parse tree produced by the `logicalAndExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitLogicalOrExprAlt(LogicalOrExprAltContext ctx)` Visit a parse tree produced by the `logicalOrExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitLoopStatement(LoopStatementContext ctx)` Visit a parse tree produced by GroovyParser.loopStatement.
    `` | `public Result` | `visitLoopStmtAlt(LoopStmtAltContext ctx)` Visit a parse tree produced by the `loopStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitMap(MapContext ctx)` Visit a parse tree produced by GroovyParser.map.
    `` | `public Result` | `visitMapEntry(MapEntryContext ctx)` Visit a parse tree produced by GroovyParser.mapEntry.
    `` | `public Result` | `visitMapEntryLabel(MapEntryLabelContext ctx)` Visit a parse tree produced by GroovyParser.mapEntryLabel.
    `` | `public Result` | `visitMapEntryList(MapEntryListContext ctx)` Visit a parse tree produced by GroovyParser.mapEntryList.
    `` | `public Result` | `visitMapPrmrAlt(MapPrmrAltContext ctx)` Visit a parse tree produced by the `mapPrmrAlt` labeled alternative in GroovyParser.namedPropertyArgPrimary.
    `` | `public Result` | `visitMatchingType(MatchingTypeContext ctx)` Visit a parse tree produced by GroovyParser.matchingType.
    `` | `public Result` | `visitMemberDeclaration(MemberDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.memberDeclaration.
    `` | `public Result` | `visitMethodBody(MethodBodyContext ctx)` Visit a parse tree produced by GroovyParser.methodBody.
    `` | `public Result` | `visitMethodDeclaration(MethodDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.methodDeclaration.
    `` | `public Result` | `visitMethodName(MethodNameContext ctx)` Visit a parse tree produced by GroovyParser.methodName.
    `` | `public Result` | `visitModifier(ModifierContext ctx)` Visit a parse tree produced by GroovyParser.modifier.
    `` | `public Result` | `visitModifiers(ModifiersContext ctx)` Visit a parse tree produced by GroovyParser.modifiers.
    `` | `public Result` | `visitModifiersOpt(ModifiersOptContext ctx)` Visit a parse tree produced by GroovyParser.modifiersOpt.
    `` | `public Result` | `visitMultipleAssignmentExprAlt(MultipleAssignmentExprAltContext ctx)` Visit a parse tree produced by the `multipleAssignmentExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitMultiplicativeExprAlt(MultiplicativeExprAltContext ctx)` Visit a parse tree produced by the `multiplicativeExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitNamePart(NamePartContext ctx)` Visit a parse tree produced by GroovyParser.namePart.
    `` | `public Result` | `visitNamedPropertyArgs(NamedPropertyArgsContext ctx)` Visit a parse tree produced by GroovyParser.namedPropertyArgs.
    `` | `public Result` | `visitNewPrmrAlt(NewPrmrAltContext ctx)` Visit a parse tree produced by the `newPrmrAlt` labeled alternative in GroovyParser.primary.
    `` | `public Result` | `visitNls(NlsContext ctx)` Visit a parse tree produced by GroovyParser.nls.
    `` | `public Result` | `visitNonWildcardTypeArguments(NonWildcardTypeArgumentsContext ctx)` Visit a parse tree produced by GroovyParser.nonWildcardTypeArguments.
    `` | `public Result` | `visitNullLiteralAlt(NullLiteralAltContext ctx)` Visit a parse tree produced by the `nullLiteralAlt` labeled alternative in GroovyParser.literal.
    `` | `public Result` | `visitOriginalForControl(OriginalForControlContext ctx)` Visit a parse tree produced by GroovyParser.originalForControl.
    `` | `public Result` | `visitPackageDeclaration(PackageDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.packageDeclaration.
    `` | `public Result` | `visitParExpression(ParExpressionContext ctx)` Visit a parse tree produced by GroovyParser.parExpression.
    `` | `public Result` | `visitParenPrmrAlt(ParenPrmrAltContext ctx)` Visit a parse tree produced by the `parenPrmrAlt` labeled alternative in GroovyParser.namedPropertyArgPrimary.
    `` | `public Result` | `visitPathElement(PathElementContext ctx)` Visit a parse tree produced by GroovyParser.pathElement.
    `` | `public Result` | `visitPathExpression(PathExpressionContext ctx)` Visit a parse tree produced by GroovyParser.pathExpression.
    `` | `public Result` | `visitPostfixExprAlt(PostfixExprAltContext ctx)` Visit a parse tree produced by the `postfixExprAlt` labeled alternative in GroovyParser.castOperandExpression.
    `` | `public Result` | `visitPostfixExpression(PostfixExpressionContext ctx)` Visit a parse tree produced by GroovyParser.postfixExpression.
    `` | `public Result` | `visitPowerExprAlt(PowerExprAltContext ctx)` Visit a parse tree produced by the `powerExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitPrimary(PrimaryContext ctx)` Visit a parse tree produced by GroovyParser.primary.
    `` | `public Result` | `visitPrimitiveType(PrimitiveTypeContext ctx)` Visit a parse tree produced by GroovyParser.primitiveType.
    `` | `public Result` | `visitQualifiedClassName(QualifiedClassNameContext ctx)` Visit a parse tree produced by GroovyParser.qualifiedClassName.
    `` | `public Result` | `visitQualifiedClassNameList(QualifiedClassNameListContext ctx)` Visit a parse tree produced by GroovyParser.qualifiedClassNameList.
    `` | `public Result` | `visitQualifiedName(QualifiedNameContext ctx)` Visit a parse tree produced by GroovyParser.qualifiedName.
    `` | `public Result` | `visitQualifiedNameElement(QualifiedNameElementContext ctx)` Visit a parse tree produced by GroovyParser.qualifiedNameElement.
    `` | `public Result` | `visitQualifiedNameElements(QualifiedNameElementsContext ctx)` Visit a parse tree produced by GroovyParser.qualifiedNameElements.
    `` | `public Result` | `visitQualifiedStandardClassName(QualifiedStandardClassNameContext ctx)` Visit a parse tree produced by GroovyParser.qualifiedStandardClassName.
    `` | `public Result` | `visitReferenceType(ReferenceTypeContext ctx)` Visit a parse tree produced by GroovyParser.referenceType.
    `` | `public Result` | `visitRegexExprAlt(RegexExprAltContext ctx)` Visit a parse tree produced by the `regexExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitRelationalExprAlt(RelationalExprAltContext ctx)` Visit a parse tree produced by the `relationalExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitResource(ResourceContext ctx)` Visit a parse tree produced by GroovyParser.resource.
    `` | `public Result` | `visitResourceList(ResourceListContext ctx)` Visit a parse tree produced by GroovyParser.resourceList.
    `` | `public Result` | `visitResources(ResourcesContext ctx)` Visit a parse tree produced by GroovyParser.resources.
    `` | `public Result` | `visitReturnStmtAlt(ReturnStmtAltContext ctx)` Visit a parse tree produced by the `returnStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitReturnType(ReturnTypeContext ctx)` Visit a parse tree produced by GroovyParser.returnType.
    `` | `public Result` | `visitScriptStatement(ScriptStatementContext ctx)` Visit a parse tree produced by GroovyParser.scriptStatement.
    `` | `public Result` | `visitScriptStatements(ScriptStatementsContext ctx)` Visit a parse tree produced by GroovyParser.scriptStatements.
    `` | `public Result` | `visitSep(SepContext ctx)` Visit a parse tree produced by GroovyParser.sep.
    `` | `public Result` | `visitShiftExprAlt(ShiftExprAltContext ctx)` Visit a parse tree produced by the `shiftExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitStandardLambdaExpression(StandardLambdaExpressionContext ctx)` Visit a parse tree produced by GroovyParser.standardLambdaExpression.
    `` | `public Result` | `visitStandardLambdaParameters(StandardLambdaParametersContext ctx)` Visit a parse tree produced by GroovyParser.standardLambdaParameters.
    `` | `public Result` | `visitStatement(StatementContext ctx)` Visit a parse tree produced by GroovyParser.statement.
    `` | `public Result` | `visitStatementExpression(StatementExpressionContext ctx)` Visit a parse tree produced by GroovyParser.statementExpression.
    `` | `public Result` | `visitStringLiteral(StringLiteralContext ctx)` Visit a parse tree produced by GroovyParser.stringLiteral.
    `` | `public Result` | `visitStringLiteralAlt(StringLiteralAltContext ctx)` Visit a parse tree produced by the `stringLiteralAlt` labeled alternative in GroovyParser.literal.
    `` | `public Result` | `visitSuperPrmrAlt(SuperPrmrAltContext ctx)` Visit a parse tree produced by the `superPrmrAlt` labeled alternative in GroovyParser.primary.
    `` | `public Result` | `visitSwitchBlockStatementExpressionGroup(SwitchBlockStatementExpressionGroupContext ctx)` Visit a parse tree produced by GroovyParser.switchBlockStatementExpressionGroup.
    `` | `public Result` | `visitSwitchBlockStatementGroup(SwitchBlockStatementGroupContext ctx)` Visit a parse tree produced by GroovyParser.switchBlockStatementGroup.
    `` | `public Result` | `visitSwitchExprAlt(SwitchExprAltContext ctx)` Visit a parse tree produced by the `switchExprAlt` labeled alternative in GroovyParser.expression.
    `` | `public Result` | `visitSwitchExpression(SwitchExpressionContext ctx)` Visit a parse tree produced by GroovyParser.switchExpression.
    `` | `public Result` | `visitSwitchExpressionLabel(SwitchExpressionLabelContext ctx)` Visit a parse tree produced by GroovyParser.switchExpressionLabel.
    `` | `public Result` | `visitSwitchLabel(SwitchLabelContext ctx)` Visit a parse tree produced by GroovyParser.switchLabel.
    `` | `public Result` | `visitSwitchStatement(SwitchStatementContext ctx)` Visit a parse tree produced by GroovyParser.switchStatement.
    `` | `public Result` | `visitSynchronizedStmtAlt(SynchronizedStmtAltContext ctx)` Visit a parse tree produced by the `synchronizedStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitThisFormalParameter(ThisFormalParameterContext ctx)` Visit a parse tree produced by GroovyParser.thisFormalParameter.
    `` | `public Result` | `visitThisPrmrAlt(ThisPrmrAltContext ctx)` Visit a parse tree produced by the `thisPrmrAlt` labeled alternative in GroovyParser.primary.
    `` | `public Result` | `visitThrowStmtAlt(ThrowStmtAltContext ctx)` Visit a parse tree produced by the `throwStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitTryCatchStatement(TryCatchStatementContext ctx)` Visit a parse tree produced by GroovyParser.tryCatchStatement.
    `` | `public Result` | `visitTryCatchStmtAlt(TryCatchStmtAltContext ctx)` Visit a parse tree produced by the `tryCatchStmtAlt` labeled alternative in GroovyParser.statement.
    `` | `public Result` | `visitType(TypeContext ctx)` Visit a parse tree produced by GroovyParser.type.
    `` | `public Result` | `visitTypeArgument(TypeArgumentContext ctx)` Visit a parse tree produced by GroovyParser.typeArgument.
    `` | `public Result` | `visitTypeArguments(TypeArgumentsContext ctx)` Visit a parse tree produced by GroovyParser.typeArguments.
    `` | `public Result` | `visitTypeArgumentsOrDiamond(TypeArgumentsOrDiamondContext ctx)` Visit a parse tree produced by GroovyParser.typeArgumentsOrDiamond.
    `` | `public Result` | `visitTypeBound(TypeBoundContext ctx)` Visit a parse tree produced by GroovyParser.typeBound.
    `` | `public Result` | `visitTypeDeclaration(TypeDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.typeDeclaration.
    `` | `public Result` | `visitTypeList(TypeListContext ctx)` Visit a parse tree produced by GroovyParser.typeList.
    `` | `public Result` | `visitTypeNamePair(TypeNamePairContext ctx)` Visit a parse tree produced by GroovyParser.typeNamePair.
    `` | `public Result` | `visitTypeNamePairs(TypeNamePairsContext ctx)` Visit a parse tree produced by GroovyParser.typeNamePairs.
    `` | `public Result` | `visitTypeParameter(TypeParameterContext ctx)` Visit a parse tree produced by GroovyParser.typeParameter.
    `` | `public Result` | `visitTypeParameters(TypeParametersContext ctx)` Visit a parse tree produced by GroovyParser.typeParameters.
    `` | `public Result` | `visitUnaryAddExprAlt(UnaryAddExprAltContext ctx)` Visit a parse tree produced by the `unaryAddExprAlt` labeled alternative in GroovyParser.castOperandExpression.
    `` | `public Result` | `visitUnaryNotExprAlt(UnaryNotExprAltContext ctx)` Visit a parse tree produced by the `unaryNotExprAlt` labeled alternative in GroovyParser.castOperandExpression.
    `` | `public Result` | `visitVariableDeclaration(VariableDeclarationContext ctx)` Visit a parse tree produced by GroovyParser.variableDeclaration.
    `` | `public Result` | `visitVariableDeclarator(VariableDeclaratorContext ctx)` Visit a parse tree produced by GroovyParser.variableDeclarator.
    `` | `public Result` | `visitVariableDeclaratorId(VariableDeclaratorIdContext ctx)` Visit a parse tree produced by GroovyParser.variableDeclaratorId.
    `` | `public Result` | `visitVariableDeclarators(VariableDeclaratorsContext ctx)` Visit a parse tree produced by GroovyParser.variableDeclarators.
    `` | `public Result` | `visitVariableInitializer(VariableInitializerContext ctx)` Visit a parse tree produced by GroovyParser.variableInitializer.
    `` | `public Result` | `visitVariableModifier(VariableModifierContext ctx)` Visit a parse tree produced by GroovyParser.variableModifier.
    `` | `public Result` | `visitVariableModifiers(VariableModifiersContext ctx)` Visit a parse tree produced by GroovyParser.variableModifiers.
    `` | `public Result` | `visitVariableModifiersOpt(VariableModifiersOptContext ctx)` Visit a parse tree produced by GroovyParser.variableModifiersOpt.
    `` | `public Result` | `visitVariableNames(VariableNamesContext ctx)` Visit a parse tree produced by GroovyParser.variableNames.
    `` | `public Result` | `visitWhileStmtAlt(WhileStmtAltContext ctx)` Visit a parse tree produced by the `whileStmtAlt` labeled alternative in GroovyParser.loopStatement.
    `` | `public Result` | `visitYieldStatement(YieldStatementContext ctx)` Visit a parse tree produced by GroovyParser.yieldStatement.
    `` | `public Result` | `visitYieldStmtAlt(YieldStmtAltContext ctx)` Visit a parse tree produced by the `yieldStmtAlt` labeled alternative in GroovyParser.statement.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface ParseTreeVisitor` | `visit, visitChildren, visitErrorNode, visitTerminal`

- - ### Method Detail

    - #### public Result visitAdditiveExprAlt(@NotNull
      AdditiveExprAltContext ctx)

      Visit a parse tree produced by the `additiveExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAndExprAlt(@NotNull
      AndExprAltContext ctx)

      Visit a parse tree produced by the `andExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAnnotatedQualifiedClassName(@NotNull
      AnnotatedQualifiedClassNameContext ctx)

      Visit a parse tree produced by GroovyParser.annotatedQualifiedClassName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAnnotation(@NotNull
      AnnotationContext ctx)

      Visit a parse tree produced by GroovyParser.annotation.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAnnotationName(@NotNull
      AnnotationNameContext ctx)

      Visit a parse tree produced by GroovyParser.annotationName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAnnotationsOpt(@NotNull
      AnnotationsOptContext ctx)

      Visit a parse tree produced by GroovyParser.annotationsOpt.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAnonymousInnerClassDeclaration(@NotNull
      AnonymousInnerClassDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.anonymousInnerClassDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitArguments(@NotNull
      ArgumentsContext ctx)

      Visit a parse tree produced by GroovyParser.arguments.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitArrayInitializer(@NotNull
      ArrayInitializerContext ctx)

      Visit a parse tree produced by GroovyParser.arrayInitializer.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAssertStatement(@NotNull
      AssertStatementContext ctx)

      Visit a parse tree produced by GroovyParser.assertStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAssertStmtAlt(@NotNull
      AssertStmtAltContext ctx)

      Visit a parse tree produced by the `assertStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitAssignmentExprAlt(@NotNull
      AssignmentExprAltContext ctx)

      Visit a parse tree produced by the `assignmentExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBlock(@NotNull
      BlockContext ctx)

      Visit a parse tree produced by GroovyParser.block.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBlockStatement(@NotNull
      BlockStatementContext ctx)

      Visit a parse tree produced by GroovyParser.blockStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBlockStatements(@NotNull
      BlockStatementsContext ctx)

      Visit a parse tree produced by GroovyParser.blockStatements.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBlockStatementsOpt(@NotNull
      BlockStatementsOptContext ctx)

      Visit a parse tree produced by GroovyParser.blockStatementsOpt.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBlockStmtAlt(@NotNull
      BlockStmtAltContext ctx)

      Visit a parse tree produced by the `blockStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBooleanLiteralAlt(@NotNull
      BooleanLiteralAltContext ctx)

      Visit a parse tree produced by the `booleanLiteralAlt` labeled alternative in GroovyParser.literal.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBreakStatement(@NotNull
      BreakStatementContext ctx)

      Visit a parse tree produced by GroovyParser.breakStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBreakStmtAlt(@NotNull
      BreakStmtAltContext ctx)

      Visit a parse tree produced by the `breakStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBuiltInType(@NotNull
      BuiltInTypeContext ctx)

      Visit a parse tree produced by GroovyParser.builtInType.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitBuiltInTypePrmrAlt(@NotNull
      BuiltInTypePrmrAltContext ctx)

      Visit a parse tree produced by the `builtInTypePrmrAlt` labeled alternative in GroovyParser.primary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCastExprAlt(@NotNull
      CastExprAltContext ctx)

      Visit a parse tree produced by the `castExprAlt` labeled alternative in GroovyParser.castOperandExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCastParExpression(@NotNull
      CastParExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.castParExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCatchClause(@NotNull
      CatchClauseContext ctx)

      Visit a parse tree produced by GroovyParser.catchClause.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCatchType(@NotNull
      CatchTypeContext ctx)

      Visit a parse tree produced by GroovyParser.catchType.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassBody(@NotNull
      ClassBodyContext ctx)

      Visit a parse tree produced by GroovyParser.classBody.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassBodyDeclaration(@NotNull
      ClassBodyDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.classBodyDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassDeclaration(@NotNull
      ClassDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.classDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassName(@NotNull
      ClassNameContext ctx)

      Visit a parse tree produced by GroovyParser.className.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassOrInterfaceModifier(@NotNull
      ClassOrInterfaceModifierContext ctx)

      Visit a parse tree produced by GroovyParser.classOrInterfaceModifier.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassOrInterfaceModifiers(@NotNull
      ClassOrInterfaceModifiersContext ctx)

      Visit a parse tree produced by GroovyParser.classOrInterfaceModifiers.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClassOrInterfaceModifiersOpt(@NotNull
      ClassOrInterfaceModifiersOptContext ctx)

      Visit a parse tree produced by GroovyParser.classOrInterfaceModifiersOpt.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClosure(@NotNull
      ClosureContext ctx)

      Visit a parse tree produced by GroovyParser.closure.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClosureOrLambdaExpression(@NotNull
      ClosureOrLambdaExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.closureOrLambdaExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitClosureOrLambdaExpressionPrmrAlt(@NotNull
      ClosureOrLambdaExpressionPrmrAltContext ctx)

      Visit a parse tree produced by the `closureOrLambdaExpressionPrmrAlt` labeled alternative in GroovyParser.primary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCommandArgument(@NotNull
      CommandArgumentContext ctx)

      Visit a parse tree produced by GroovyParser.commandArgument.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCommandExprAlt(@NotNull
      CommandExprAltContext ctx)

      Visit a parse tree produced by the `commandExprAlt` labeled alternative in GroovyParser.statementExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCommandExpression(@NotNull
      CommandExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.commandExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCompactConstructorDeclaration(@NotNull
      CompactConstructorDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.compactConstructorDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCompilationUnit(@NotNull
      CompilationUnitContext ctx)

      Visit a parse tree produced by GroovyParser.compilationUnit.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitConditionalExprAlt(@NotNull
      ConditionalExprAltContext ctx)

      Visit a parse tree produced by the `conditionalExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitConditionalStatement(@NotNull
      ConditionalStatementContext ctx)

      Visit a parse tree produced by GroovyParser.conditionalStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitConditionalStmtAlt(@NotNull
      ConditionalStmtAltContext ctx)

      Visit a parse tree produced by the `conditionalStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitContinueStatement(@NotNull
      ContinueStatementContext ctx)

      Visit a parse tree produced by GroovyParser.continueStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitContinueStmtAlt(@NotNull
      ContinueStmtAltContext ctx)

      Visit a parse tree produced by the `continueStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCreatedName(@NotNull
      CreatedNameContext ctx)

      Visit a parse tree produced by GroovyParser.createdName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitCreator(@NotNull
      CreatorContext ctx)

      Visit a parse tree produced by GroovyParser.creator.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitDim0(@NotNull
      Dim0Context ctx)

      Visit a parse tree produced by GroovyParser.dim0.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitDim1(@NotNull
      Dim1Context ctx)

      Visit a parse tree produced by GroovyParser.dim1.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitDoWhileStmtAlt(@NotNull
      DoWhileStmtAltContext ctx)

      Visit a parse tree produced by the `doWhileStmtAlt` labeled alternative in GroovyParser.loopStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitDynamicMemberName(@NotNull
      DynamicMemberNameContext ctx)

      Visit a parse tree produced by GroovyParser.dynamicMemberName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitElementValue(@NotNull
      ElementValueContext ctx)

      Visit a parse tree produced by GroovyParser.elementValue.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitElementValueArrayInitializer(@NotNull
      ElementValueArrayInitializerContext ctx)

      Visit a parse tree produced by GroovyParser.elementValueArrayInitializer.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitElementValuePair(@NotNull
      ElementValuePairContext ctx)

      Visit a parse tree produced by GroovyParser.elementValuePair.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitElementValuePairName(@NotNull
      ElementValuePairNameContext ctx)

      Visit a parse tree produced by GroovyParser.elementValuePairName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitElementValuePairs(@NotNull
      ElementValuePairsContext ctx)

      Visit a parse tree produced by GroovyParser.elementValuePairs.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitElementValues(@NotNull
      ElementValuesContext ctx)

      Visit a parse tree produced by GroovyParser.elementValues.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEmptyStmtAlt(@NotNull
      EmptyStmtAltContext ctx)

      Visit a parse tree produced by the `emptyStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnhancedArgumentListElement(@NotNull
      EnhancedArgumentListElementContext ctx)

      Visit a parse tree produced by GroovyParser.enhancedArgumentListElement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnhancedArgumentListInPar(@NotNull
      EnhancedArgumentListInParContext ctx)

      Visit a parse tree produced by GroovyParser.enhancedArgumentListInPar.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnhancedExpression(@NotNull
      EnhancedExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.enhancedExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnhancedForControl(@NotNull
      EnhancedForControlContext ctx)

      Visit a parse tree produced by GroovyParser.enhancedForControl.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnhancedStatementExpression(@NotNull
      EnhancedStatementExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.enhancedStatementExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnumConstant(@NotNull
      EnumConstantContext ctx)

      Visit a parse tree produced by GroovyParser.enumConstant.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEnumConstants(@NotNull
      EnumConstantsContext ctx)

      Visit a parse tree produced by GroovyParser.enumConstants.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitEqualityExprAlt(@NotNull
      EqualityExprAltContext ctx)

      Visit a parse tree produced by the `equalityExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitExclusiveOrExprAlt(@NotNull
      ExclusiveOrExprAltContext ctx)

      Visit a parse tree produced by the `exclusiveOrExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitExpression(@NotNull
      ExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitExpressionInPar(@NotNull
      ExpressionInParContext ctx)

      Visit a parse tree produced by GroovyParser.expressionInPar.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitExpressionList(@NotNull
      ExpressionListContext ctx)

      Visit a parse tree produced by GroovyParser.expressionList.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitExpressionListElement(@NotNull
      ExpressionListElementContext ctx)

      Visit a parse tree produced by GroovyParser.expressionListElement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitExpressionStmtAlt(@NotNull
      ExpressionStmtAltContext ctx)

      Visit a parse tree produced by the `expressionStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitFieldDeclaration(@NotNull
      FieldDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.fieldDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitFinallyBlock(@NotNull
      FinallyBlockContext ctx)

      Visit a parse tree produced by GroovyParser.finallyBlock.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitFloatingPointLiteralAlt(@NotNull
      FloatingPointLiteralAltContext ctx)

      Visit a parse tree produced by the `floatingPointLiteralAlt` labeled alternative in GroovyParser.literal.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitForControl(@NotNull
      ForControlContext ctx)

      Visit a parse tree produced by GroovyParser.forControl.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitForInit(@NotNull
      ForInitContext ctx)

      Visit a parse tree produced by GroovyParser.forInit.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitForStmtAlt(@NotNull
      ForStmtAltContext ctx)

      Visit a parse tree produced by the `forStmtAlt` labeled alternative in GroovyParser.loopStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitForUpdate(@NotNull
      ForUpdateContext ctx)

      Visit a parse tree produced by GroovyParser.forUpdate.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitFormalParameter(@NotNull
      FormalParameterContext ctx)

      Visit a parse tree produced by GroovyParser.formalParameter.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitFormalParameterList(@NotNull
      FormalParameterListContext ctx)

      Visit a parse tree produced by GroovyParser.formalParameterList.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitFormalParameters(@NotNull
      FormalParametersContext ctx)

      Visit a parse tree produced by GroovyParser.formalParameters.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitGstring(@NotNull
      GstringContext ctx)

      Visit a parse tree produced by GroovyParser.gstring.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitGstringPath(@NotNull
      GstringPathContext ctx)

      Visit a parse tree produced by GroovyParser.gstringPath.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitGstringPrmrAlt(@NotNull
      GstringPrmrAltContext ctx)

      Visit a parse tree produced by the `gstringPrmrAlt` labeled alternative in GroovyParser.commandPrimary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitGstringValue(@NotNull
      GstringValueContext ctx)

      Visit a parse tree produced by GroovyParser.gstringValue.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitIdentifier(@NotNull
      IdentifierContext ctx)

      Visit a parse tree produced by GroovyParser.identifier.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitIdentifierPrmrAlt(@NotNull
      IdentifierPrmrAltContext ctx)

      Visit a parse tree produced by the `identifierPrmrAlt` labeled alternative in GroovyParser.commandPrimary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitIfElseStatement(@NotNull
      IfElseStatementContext ctx)

      Visit a parse tree produced by GroovyParser.ifElseStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitImplicationExprAlt(@NotNull
      ImplicationExprAltContext ctx)

      Visit a parse tree produced by the `implicationExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitImportDeclaration(@NotNull
      ImportDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.importDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitInclusiveOrExprAlt(@NotNull
      InclusiveOrExprAltContext ctx)

      Visit a parse tree produced by the `inclusiveOrExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitIndexPropertyArgs(@NotNull
      IndexPropertyArgsContext ctx)

      Visit a parse tree produced by GroovyParser.indexPropertyArgs.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitIndexVariable(@NotNull
      IndexVariableContext ctx)

      Visit a parse tree produced by GroovyParser.indexVariable.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitIntegerLiteralAlt(@NotNull
      IntegerLiteralAltContext ctx)

      Visit a parse tree produced by the `integerLiteralAlt` labeled alternative in GroovyParser.literal.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitKeywords(@NotNull
      KeywordsContext ctx)

      Visit a parse tree produced by GroovyParser.keywords.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLabeledStmtAlt(@NotNull
      LabeledStmtAltContext ctx)

      Visit a parse tree produced by the `labeledStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLambdaBody(@NotNull
      LambdaBodyContext ctx)

      Visit a parse tree produced by GroovyParser.lambdaBody.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitList(@NotNull
      ListContext ctx)

      Visit a parse tree produced by GroovyParser.list.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitListPrmrAlt(@NotNull
      ListPrmrAltContext ctx)

      Visit a parse tree produced by the `listPrmrAlt` labeled alternative in GroovyParser.namedPropertyArgPrimary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLiteral(@NotNull
      LiteralContext ctx)

      Visit a parse tree produced by GroovyParser.literal.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLiteralPrmrAlt(@NotNull
      LiteralPrmrAltContext ctx)

      Visit a parse tree produced by the `literalPrmrAlt` labeled alternative in GroovyParser.commandPrimary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLocalVariableDeclaration(@NotNull
      LocalVariableDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.localVariableDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLocalVariableDeclarationStmtAlt(@NotNull
      LocalVariableDeclarationStmtAltContext ctx)

      Visit a parse tree produced by the `localVariableDeclarationStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLogicalAndExprAlt(@NotNull
      LogicalAndExprAltContext ctx)

      Visit a parse tree produced by the `logicalAndExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLogicalOrExprAlt(@NotNull
      LogicalOrExprAltContext ctx)

      Visit a parse tree produced by the `logicalOrExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLoopStatement(@NotNull
      LoopStatementContext ctx)

      Visit a parse tree produced by GroovyParser.loopStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitLoopStmtAlt(@NotNull
      LoopStmtAltContext ctx)

      Visit a parse tree produced by the `loopStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMap(@NotNull
      MapContext ctx)

      Visit a parse tree produced by GroovyParser.map.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMapEntry(@NotNull
      MapEntryContext ctx)

      Visit a parse tree produced by GroovyParser.mapEntry.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMapEntryLabel(@NotNull
      MapEntryLabelContext ctx)

      Visit a parse tree produced by GroovyParser.mapEntryLabel.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMapEntryList(@NotNull
      MapEntryListContext ctx)

      Visit a parse tree produced by GroovyParser.mapEntryList.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMapPrmrAlt(@NotNull
      MapPrmrAltContext ctx)

      Visit a parse tree produced by the `mapPrmrAlt` labeled alternative in GroovyParser.namedPropertyArgPrimary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMatchingType(@NotNull
      MatchingTypeContext ctx)

      Visit a parse tree produced by GroovyParser.matchingType.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMemberDeclaration(@NotNull
      MemberDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.memberDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMethodBody(@NotNull
      MethodBodyContext ctx)

      Visit a parse tree produced by GroovyParser.methodBody.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMethodDeclaration(@NotNull
      MethodDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.methodDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMethodName(@NotNull
      MethodNameContext ctx)

      Visit a parse tree produced by GroovyParser.methodName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitModifier(@NotNull
      ModifierContext ctx)

      Visit a parse tree produced by GroovyParser.modifier.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitModifiers(@NotNull
      ModifiersContext ctx)

      Visit a parse tree produced by GroovyParser.modifiers.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitModifiersOpt(@NotNull
      ModifiersOptContext ctx)

      Visit a parse tree produced by GroovyParser.modifiersOpt.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMultipleAssignmentExprAlt(@NotNull
      MultipleAssignmentExprAltContext ctx)

      Visit a parse tree produced by the `multipleAssignmentExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitMultiplicativeExprAlt(@NotNull
      MultiplicativeExprAltContext ctx)

      Visit a parse tree produced by the `multiplicativeExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitNamePart(@NotNull
      NamePartContext ctx)

      Visit a parse tree produced by GroovyParser.namePart.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitNamedPropertyArgs(@NotNull
      NamedPropertyArgsContext ctx)

      Visit a parse tree produced by GroovyParser.namedPropertyArgs.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitNewPrmrAlt(@NotNull
      NewPrmrAltContext ctx)

      Visit a parse tree produced by the `newPrmrAlt` labeled alternative in GroovyParser.primary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitNls(@NotNull
      NlsContext ctx)

      Visit a parse tree produced by GroovyParser.nls.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitNonWildcardTypeArguments(@NotNull
      NonWildcardTypeArgumentsContext ctx)

      Visit a parse tree produced by GroovyParser.nonWildcardTypeArguments.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitNullLiteralAlt(@NotNull
      NullLiteralAltContext ctx)

      Visit a parse tree produced by the `nullLiteralAlt` labeled alternative in GroovyParser.literal.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitOriginalForControl(@NotNull
      OriginalForControlContext ctx)

      Visit a parse tree produced by GroovyParser.originalForControl.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPackageDeclaration(@NotNull
      PackageDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.packageDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitParExpression(@NotNull
      ParExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.parExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitParenPrmrAlt(@NotNull
      ParenPrmrAltContext ctx)

      Visit a parse tree produced by the `parenPrmrAlt` labeled alternative in GroovyParser.namedPropertyArgPrimary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPathElement(@NotNull
      PathElementContext ctx)

      Visit a parse tree produced by GroovyParser.pathElement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPathExpression(@NotNull
      PathExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.pathExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPostfixExprAlt(@NotNull
      PostfixExprAltContext ctx)

      Visit a parse tree produced by the `postfixExprAlt` labeled alternative in GroovyParser.castOperandExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPostfixExpression(@NotNull
      PostfixExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.postfixExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPowerExprAlt(@NotNull
      PowerExprAltContext ctx)

      Visit a parse tree produced by the `powerExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPrimary(@NotNull
      PrimaryContext ctx)

      Visit a parse tree produced by GroovyParser.primary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitPrimitiveType(@NotNull
      PrimitiveTypeContext ctx)

      Visit a parse tree produced by GroovyParser.primitiveType.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitQualifiedClassName(@NotNull
      QualifiedClassNameContext ctx)

      Visit a parse tree produced by GroovyParser.qualifiedClassName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitQualifiedClassNameList(@NotNull
      QualifiedClassNameListContext ctx)

      Visit a parse tree produced by GroovyParser.qualifiedClassNameList.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitQualifiedName(@NotNull
      QualifiedNameContext ctx)

      Visit a parse tree produced by GroovyParser.qualifiedName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitQualifiedNameElement(@NotNull
      QualifiedNameElementContext ctx)

      Visit a parse tree produced by GroovyParser.qualifiedNameElement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitQualifiedNameElements(@NotNull
      QualifiedNameElementsContext ctx)

      Visit a parse tree produced by GroovyParser.qualifiedNameElements.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitQualifiedStandardClassName(@NotNull
      QualifiedStandardClassNameContext ctx)

      Visit a parse tree produced by GroovyParser.qualifiedStandardClassName.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitReferenceType(@NotNull
      ReferenceTypeContext ctx)

      Visit a parse tree produced by GroovyParser.referenceType.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitRegexExprAlt(@NotNull
      RegexExprAltContext ctx)

      Visit a parse tree produced by the `regexExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitRelationalExprAlt(@NotNull
      RelationalExprAltContext ctx)

      Visit a parse tree produced by the `relationalExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitResource(@NotNull
      ResourceContext ctx)

      Visit a parse tree produced by GroovyParser.resource.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitResourceList(@NotNull
      ResourceListContext ctx)

      Visit a parse tree produced by GroovyParser.resourceList.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitResources(@NotNull
      ResourcesContext ctx)

      Visit a parse tree produced by GroovyParser.resources.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitReturnStmtAlt(@NotNull
      ReturnStmtAltContext ctx)

      Visit a parse tree produced by the `returnStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitReturnType(@NotNull
      ReturnTypeContext ctx)

      Visit a parse tree produced by GroovyParser.returnType.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitScriptStatement(@NotNull
      ScriptStatementContext ctx)

      Visit a parse tree produced by GroovyParser.scriptStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitScriptStatements(@NotNull
      ScriptStatementsContext ctx)

      Visit a parse tree produced by GroovyParser.scriptStatements.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSep(@NotNull
      SepContext ctx)

      Visit a parse tree produced by GroovyParser.sep.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitShiftExprAlt(@NotNull
      ShiftExprAltContext ctx)

      Visit a parse tree produced by the `shiftExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitStandardLambdaExpression(@NotNull
      StandardLambdaExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.standardLambdaExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitStandardLambdaParameters(@NotNull
      StandardLambdaParametersContext ctx)

      Visit a parse tree produced by GroovyParser.standardLambdaParameters.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitStatement(@NotNull
      StatementContext ctx)

      Visit a parse tree produced by GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitStatementExpression(@NotNull
      StatementExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.statementExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitStringLiteral(@NotNull
      StringLiteralContext ctx)

      Visit a parse tree produced by GroovyParser.stringLiteral.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitStringLiteralAlt(@NotNull
      StringLiteralAltContext ctx)

      Visit a parse tree produced by the `stringLiteralAlt` labeled alternative in GroovyParser.literal.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSuperPrmrAlt(@NotNull
      SuperPrmrAltContext ctx)

      Visit a parse tree produced by the `superPrmrAlt` labeled alternative in GroovyParser.primary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchBlockStatementExpressionGroup(@NotNull
      SwitchBlockStatementExpressionGroupContext ctx)

      Visit a parse tree produced by GroovyParser.switchBlockStatementExpressionGroup.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchBlockStatementGroup(@NotNull
      SwitchBlockStatementGroupContext ctx)

      Visit a parse tree produced by GroovyParser.switchBlockStatementGroup.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchExprAlt(@NotNull
      SwitchExprAltContext ctx)

      Visit a parse tree produced by the `switchExprAlt` labeled alternative in GroovyParser.expression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchExpression(@NotNull
      SwitchExpressionContext ctx)

      Visit a parse tree produced by GroovyParser.switchExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchExpressionLabel(@NotNull
      SwitchExpressionLabelContext ctx)

      Visit a parse tree produced by GroovyParser.switchExpressionLabel.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchLabel(@NotNull
      SwitchLabelContext ctx)

      Visit a parse tree produced by GroovyParser.switchLabel.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSwitchStatement(@NotNull
      SwitchStatementContext ctx)

      Visit a parse tree produced by GroovyParser.switchStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitSynchronizedStmtAlt(@NotNull
      SynchronizedStmtAltContext ctx)

      Visit a parse tree produced by the `synchronizedStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitThisFormalParameter(@NotNull
      ThisFormalParameterContext ctx)

      Visit a parse tree produced by GroovyParser.thisFormalParameter.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitThisPrmrAlt(@NotNull
      ThisPrmrAltContext ctx)

      Visit a parse tree produced by the `thisPrmrAlt` labeled alternative in GroovyParser.primary.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitThrowStmtAlt(@NotNull
      ThrowStmtAltContext ctx)

      Visit a parse tree produced by the `throwStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTryCatchStatement(@NotNull
      TryCatchStatementContext ctx)

      Visit a parse tree produced by GroovyParser.tryCatchStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTryCatchStmtAlt(@NotNull
      TryCatchStmtAltContext ctx)

      Visit a parse tree produced by the `tryCatchStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitType(@NotNull
      TypeContext ctx)

      Visit a parse tree produced by GroovyParser.type.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeArgument(@NotNull
      TypeArgumentContext ctx)

      Visit a parse tree produced by GroovyParser.typeArgument.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeArguments(@NotNull
      TypeArgumentsContext ctx)

      Visit a parse tree produced by GroovyParser.typeArguments.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeArgumentsOrDiamond(@NotNull
      TypeArgumentsOrDiamondContext ctx)

      Visit a parse tree produced by GroovyParser.typeArgumentsOrDiamond.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeBound(@NotNull
      TypeBoundContext ctx)

      Visit a parse tree produced by GroovyParser.typeBound.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeDeclaration(@NotNull
      TypeDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.typeDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeList(@NotNull
      TypeListContext ctx)

      Visit a parse tree produced by GroovyParser.typeList.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeNamePair(@NotNull
      TypeNamePairContext ctx)

      Visit a parse tree produced by GroovyParser.typeNamePair.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeNamePairs(@NotNull
      TypeNamePairsContext ctx)

      Visit a parse tree produced by GroovyParser.typeNamePairs.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeParameter(@NotNull
      TypeParameterContext ctx)

      Visit a parse tree produced by GroovyParser.typeParameter.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitTypeParameters(@NotNull
      TypeParametersContext ctx)

      Visit a parse tree produced by GroovyParser.typeParameters.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitUnaryAddExprAlt(@NotNull
      UnaryAddExprAltContext ctx)

      Visit a parse tree produced by the `unaryAddExprAlt` labeled alternative in GroovyParser.castOperandExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitUnaryNotExprAlt(@NotNull
      UnaryNotExprAltContext ctx)

      Visit a parse tree produced by the `unaryNotExprAlt` labeled alternative in GroovyParser.castOperandExpression.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableDeclaration(@NotNull
      VariableDeclarationContext ctx)

      Visit a parse tree produced by GroovyParser.variableDeclaration.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableDeclarator(@NotNull
      VariableDeclaratorContext ctx)

      Visit a parse tree produced by GroovyParser.variableDeclarator.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableDeclaratorId(@NotNull
      VariableDeclaratorIdContext ctx)

      Visit a parse tree produced by GroovyParser.variableDeclaratorId.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableDeclarators(@NotNull
      VariableDeclaratorsContext ctx)

      Visit a parse tree produced by GroovyParser.variableDeclarators.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableInitializer(@NotNull
      VariableInitializerContext ctx)

      Visit a parse tree produced by GroovyParser.variableInitializer.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableModifier(@NotNull
      VariableModifierContext ctx)

      Visit a parse tree produced by GroovyParser.variableModifier.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableModifiers(@NotNull
      VariableModifiersContext ctx)

      Visit a parse tree produced by GroovyParser.variableModifiers.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableModifiersOpt(@NotNull
      VariableModifiersOptContext ctx)

      Visit a parse tree produced by GroovyParser.variableModifiersOpt.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitVariableNames(@NotNull
      VariableNamesContext ctx)

      Visit a parse tree produced by GroovyParser.variableNames.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitWhileStmtAlt(@NotNull
      WhileStmtAltContext ctx)

      Visit a parse tree produced by the `whileStmtAlt` labeled alternative in GroovyParser.loopStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitYieldStatement(@NotNull
      YieldStatementContext ctx)

      Visit a parse tree produced by GroovyParser.yieldStatement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result

    - #### public Result visitYieldStmtAlt(@NotNull
      YieldStmtAltContext ctx)

      Visit a parse tree produced by the `yieldStmtAlt` labeled alternative in GroovyParser.statement.

      Parameters:
        `ctx` - the parse tree
      Returns:
        the visitor result